
/*
 * This file contains functions that will be used
 * to interface with the NES remote.
 *
 * @author John McGonnell 
 */ 


#ifndef __NES_REMOTE_H_
#define __NES_REMOTE_H_

void initNes();
char getButtons();

#define Button_A 0x80
#define Button_B 0x40
#define Button_Sel 0x20
#define Button_Start 0x10
#define Button_Up 0x08
#define Button_Down 0x04
#define Button_Left 0x02
#define Button_Right 0x01

#define B_BUTTON Button_B
#define A_BUTTON Button_A
#define SELECT_BUTTON Button_Sel
#define START_BUTTON Button_Start
#define UP_BUTTON Button_Up
#define DOWN_BUTTON Button_Down
#define LEFT_BUTTON Button_Left
#define RIGHT_BUTTON Button_Right

#endif
